## org.jfree.ui.tabbedui
Class AbstractTabbedUI.ExitAction

    java.lang.Object
      javax.swing.AbstractAction
          org.jfree.ui.tabbedui.AbstractTabbedUI.ExitAction

All Implemented Interfaces:
  javax.swing.Action, java.awt.event.ActionListener, java.lang.Cloneable, java.util.EventListener, java.io.Serializable

Enclosing class:
  AbstractTabbedUI

protected class AbstractTabbedUI.ExitAction
extends javax.swing.AbstractAction

An exit action.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`AbstractTabbedUI.ExitAction()` Defines an `Action` object with a default description string and default icon.

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)` Invoked when an action occurs.

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTabbedUI.ExitAction

    public AbstractTabbedUI.ExitAction()

  Defines an `Action` object with a default description string and default icon.

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Invoked when an action occurs.

  Parameters:
    `e` - the event.